import { ResPriority } from './../enum/ResPriority';
import { IModuleData } from '../interface/IModuleData';
export abstract class ABResManager {
    /**
     * 添加资源到加载列表
     * @param res 
     * @param priority 
     */
    public abstract addRes(res: any, priority: ResPriority): void

    /**
     * 加载资源
     */
    public abstract loadRes(): void

    /**
     * 检测模块资源是否加载完成
     * @param {ModuleData} module 模块数据
     * @returns {boolean}
     */
    public abstract checkRes(module: IModuleData): boolean
}